Subject: Re: bug#7291: 24.0.50; `non-essential' is incomprehensible

From: Stefan Monnier <[email-masked]>
Date: Wed, 27 Oct 2010 20:52:31 -0400

> So does nil mean the code is performing an essential task?  Or does
> non-nil mean that?

Let's see, you're asking whether "non-essential = nil" means "performing
an essential task" or "performing a non-essential task"?  Hmm... now
that's a difficult question which I wouldn't expect any Lisp coder to
be able to answer.

> I cannot understand this.  What does it really mean?

If you can't understand it, then just ignore it.

> If this variable is this important and global (no `tramp-' prefix) then
> it should be documented in the Elisp manual.
 
Emacs lived happily for more than 20 years without it, so I really have
no clue whatsoever what makes you think "it's this important".

        Stefan